<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.dbcapp.mapper.record.ConfigureProcessMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.dbcapp.entity.ConfigureProcess">
        <id column="id" property="id" />
        <result column="enterpriseCode" property="enterpriseCode" />
        <result column="processCode" property="processCode" />
        <result column="processName" property="processName" />
        <result column="state" property="state" />
        <result column="remark" property="remark" />
        <result column="uploadedCountry" property="uploadedCountry" />
        <result column="digest" property="digest" />
        <result column="quoted" property="quoted" />
        <result column="deleteFlag" property="deleteFlag" />
        <result column="unitId" property="unitId" />
    </resultMap>

    <select id="getProcessList" resultType="java.util.Map">
        SELECT e1.cmpName,t1.*
        FROM configure_process t1
        JOIN enterprise_info e1 ON t1.enterpriseCode=e1.enterpriseCode WHERE t1.enterpriseCode = #{epc}
    </select>
</mapper>